curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/commerce/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"status": "cancelled_unpaid",
"discount_amount": 123,
"untaxed_amount_without_fees": 123,
"tax_amount_without_fees": 123,
"total_without_fees": 123,
"current_untaxed_amount": 123,
"current_tax_amount": 123,
"current_total": 123,
"untaxed_amount": 123,
"tax_amount": 123,
"total": 123,
"currency": "<string>",
"lines": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"quantity": 123,
"current_quantity": 123,
"unit_price": 123,
"description": "<string>",
"tax_rate": 123,
"untaxed_amount": 123,
"tax_amount": 123,
"total": 123,
"created_on": "2023-11-07T05:31:56Z",
"variant": {
"id": "<string>",
"name": "<string>",
"sku": "<string>",
"categories": []
},
"tax_id": "<string>",
"discounts": [],
"gift_card": false,
"is_gift": false
}
],
"order_number": "<string>",
"customer": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"internal_notes": "<string>",
"email": "<string>"
},
"billing_address": {
"address_type": "main",
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"box": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"vat": "<string>"
},
"shipping_address": {
"address_type": "main",
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"box": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"vat": "<string>"
},
"created_on": "2023-11-07T05:31:56Z",
"last_updated_on": "2023-11-07T05:31:56Z",
"confirmed_on": "2023-11-07T05:31:56Z",
"delivery_date": "2023-11-07T05:31:56Z",
"cancelled_on": "2023-11-07T05:31:56Z",
"fulfillment": {
"fulfillment_type": "FBA",
"shipping_from_address": {
"address_type": "main",
"name": "<string>",
"number": "<string>",
"box": "<string>",
"phone": "<string>",
"mobile": "<string>",
"email": "<string>",
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
},
"refunded_amount": 0,
"note": "<string>",
"tags": [],
"other_fees": [],
"payment_method_id": "<string>",
"transactions": [],
"payment_methods": [],
"detailed_refunds": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"total": 123,
"created_on": "2023-11-07T05:31:56Z",
"reason": "<string>",
"order_lines": [],
"other": 0,
"shipping_refunds": [],
"other_fees": [],
"transactions": []
}
],
"returns": []
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The order doesn't exist",
"status": "error",
"error_code": "ERROR_ORDER_NOT_FOUND"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get one specific order
Returns a specific order from the e-commerce system by its unique identifier.
Query Parameters
Include detailed information about categories
true, false Response
Successful Response
Technical id in Chift
Technical id in the target software
Show child attributes
Show child attributes
cancelled_unpaid, cancelled, draft, confirmed, shipped, refunded Untaxed amount without fees (e.g. shipping) but with discout. Refunds and returns are not included.
Total taxes applied to the order without taxes linked to fees (e.g. shipping).
Total of the order without fees (e.g. shipping) but with discount. Refunds and returns are not included.
Untaxed amount with discout and any kind of fee (e.g. shipping). After returns, removes and returns.
Total taxes applied to the order. After returns, removes and returns.
Current total of the order with discount. After returns, removes and returns.
Untaxed amount with discout and any kind of fee (e.g. shipping). Refunds and returns are not included.
Total taxes applied to the order. Refunds and returns are not included.
Total of the order with discount. Refunds and returns are not included.
Indicates the currency of the order (e.g. EUR).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Technical id of the payment method in the eCommerce
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes